Skip to main content
PATCH
Update an organization OAuth client

Authorizations

Authorization
string
header
required

Account Service Key, prefixed with pho_ask_, sent as Authorization: Bearer <key>. Acts on behalf of its owning account, subject to the permissions and credential restrictions of each operation. Account access tokens and OAuth grants also use the Bearer header. In organizations that require SSO, Account Service Keys are not accepted for managing the organization's SSO settings, deleting the organization, or checking whether it can be deleted.

Headers

if-match
string
required
Pattern: ^"[A-Za-z0-9_-]{43}"$

Path Parameters

organizationId
string
required
clientId
string
required
Maximum string length: 128
Pattern: ^client_[A-Za-z0-9]+$

Body

application/json
description
string | null
Maximum string length: 500
name
string
Required string length: 1 - 100
redirectUris
object[]
Required array length: 1 - 10 elements
scopes
string[]
Maximum array length: 20
Required string length: 1 - 128

Response

Updated organization OAuth client.

clientId
string
required
Maximum string length: 128
Pattern: ^client_[A-Za-z0-9]+$
createdAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
description
string | null
required
name
string
required
redirectUris
object[]
required
scopes
string[]
required
updatedAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$